--
-- Структура таблицы `boss`
--

CREATE TABLE IF NOT EXISTS `boss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `str` int(11) NOT NULL,
  `def` int(11) NOT NULL,
  `max_health` int(11) NOT NULL,
  `min_gold` int(11) NOT NULL,
  `max_gold` int(11) NOT NULL,
  `min_exp` int(11) NOT NULL,
  `max_exp` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;

--
-- Дамп данных таблицы `boss`
--

INSERT INTO `boss` (`id`, `name`, `str`, `def`, `max_health`, `min_gold`, `max_gold`, `min_exp`, `max_exp`) VALUES
(1, 'Сторажевой пес', 40, 40, 567, 1, 3, 10, 30),
(2, 'Повелитель волков', 70, 70, 723, 1, 4, 10, 40),
(3, 'Оборотень', 140, 140, 800, 1, 5, 10, 50),
(4, 'Повелитель стихии', 203, 203, 990, 2, 10, 20, 60),
(5, 'Волшебник', 245, 245, 1230, 2, 11, 20, 70),
(6, 'Одержимый', 300, 300, 1408, 2, 12, 20, 80),
(7, 'Мститель', 378, 378, 1689, 5, 20, 50, 200),
(8, 'Неуязвимый', 423, 423, 1754, 10, 25, 100, 300),
(9, 'Вершитель скал', 578, 578, 1900, 15, 30, 300, 500),
(10, 'Повелитель быков', 645, 645, 2000, 16, 30, 400, 600),
(11, 'Смертоносец', 800, 800, 3400, 20, 34, 800, 1000),
(12, 'Великан', 1179, 1179, 3887, 21, 35, 900, 1100),
(13, 'Силиус', 1997, 1997, 4000, 30, 40, 1000, 1300),
(14, 'Водяной', 2300, 2300, 5677, 30, 45, 1235, 1500),
(15, 'Водяная леди', 3000, 3000, 7000, 35, 50, 1500, 1800),
(16, 'Воин анубиса', 3500, 3500, 10000, 40, 55, 1800, 2000),
(17, 'Посланник сатаны', 4000, 4000, 12000, 50, 60, 2000, 2200),
(18, 'Исчадье ада', 4200, 4200, 15000, 55, 60, 2200, 2400),
(19, 'Смерть несущий', 4300, 4300, 18000, 60, 65, 2400, 2600),
(20, 'Демон огня', 4400, 4400, 20000, 65, 70, 2600, 2800),
(21, 'Кронос', 4600, 4600, 22000, 65, 75, 2800, 3000),
(22, 'Отец титанов', 5000, 5000, 28000, 70, 75, 3000, 3200),
(23, 'Великий поглотитель', 5500, 5500, 40000, 75, 80, 3200, 3400);

--
-- Структура таблицы `boss_batlle`
--

CREATE TABLE IF NOT EXISTS `boss_batlle` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_boss` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `boss_health` int(11) NOT NULL,
  `user_health` int(11) NOT NULL,
  `kamen` int(11) NOT NULL,
  `trava` int(11) NOT NULL,
  `udar_last` int(11) NOT NULL,
  `win` set('net','da') NOT NULL DEFAULT 'net',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Структура таблицы `boss_batlle_log`
--

CREATE TABLE IF NOT EXISTS `boss_batlle_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uron` int(11) NOT NULL,
  `krit` int(11) NOT NULL DEFAULT '0',
  `tip` varchar(100) NOT NULL,
  `id_batlle` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Структура таблицы `boss_user`
--

CREATE TABLE IF NOT EXISTS `boss_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_boss` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `last` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;